Subject: Re: [PATCH 1/2] gnu: vim: Use native-search-paths to search for plugins.

From: Liliana Marie Prikler <[email-masked]>
Date: Sat, 05 Aug 2023 14:28:03 +0200

Am Mittwoch, dem 22.02.2023 um 17:07 -0300 schrieb SeerLite:
> Previously a hardcoded list of directories was used, which albeit
> quite accurate during normal use, didn't fully respect the active
> Guix environment and didn't make use of Guix's search-paths feature.
> 
> * gnu/packages/aux-files/guix.vim: Use 'GUIX_VIMRUNTIME' to set the
> runtimepath.
> * gnu/packages/vim.scm (vim)[native-search-paths]: Add search path
> specification for 'GUIX_VIMRUNTIME'.
> [phases]: Search for tzdata files in the correct input fields.
Should be [#:phases]<set-environment-variables>.  For clarity's sake, I
think this phase should be renamed to <prepare-test-environment>, so
that it doesn't look as though these variables affect the build output.

Otherwise LGTM, but I'm not a vim person.